Autor Tema: Extensión/API mysql es desaconsejada  (Leído 655 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado José Daniel

  • Administrador
  • Usuario Junior
  • *****
  • Mensajes: 96
  • Puntuación: 9
  • Sexo: Masculino
  • "El conocimiento humano le pertenece al mundo"
    • Ver Perfil
    • Calma en la tormenta [Seienchin]
Extensión/API mysql es desaconsejada
« : 21 de julio de 2013, 05:49:27 pm »
El uso de la extensión mysql utilizada para la conexión al motor de bases de datos del mismo nombre, está desaconsejado actualmente.

Todas las funciones de esta extensión o API inician su nombre con mysql_ y partir de la versión 5.5 estarán fuera del core de php.

Por tal motivo es importante que empiecen a migrar sus scripts progresivamente y si se trata de nuevos proyectos inicien de una vez utilizando alguna de las dos API de sustitución: mysqli o PDO.

Para mayor información leer:

- La advertencia oficial en el manual de documentación.
- Elegir un API (Manual de Documentación Oficial)

Aunque esta aclaratoria ha sido realizada en incontables ocasiones en distintos hilos del foro, me pareció apropiado dejarla por acá de manera oficial.
Twitter: @joseayram

CodeIgniter, CakePHP, Twig and maybe... Laravel
Github

No dejes de leer: Php La Manera Correcta

"El conocimiento humano le pertenece al mundo"